<?php
//include files
include_once 'includes/config.php';
include_once 'includes/functions.php';

// Latest Update SUB
$topratedmovies = $APIbaseURL . $topratedmovie . $api_key . $language;
if (isset($_GET['page'])) {
    $topratedmovies = $APIbaseURL . $topratedmovie . $api_key . $language . "&page=" . $_GET['page'];
}
//handle errors
$headers = get_headers($topratedmovies);
if (stripos($headers[0], '40') !== false || stripos($headers[0], '50') !== false) {
    include '404.php';
    exit();
}
$arrContextOptions = array(
    "ssl" => array(
        "verify_peer" => false,
        "verify_peer_name" => false,
    ),
);
$ambil = file_get_contents($topratedmovies, false, stream_context_create($arrContextOptions));
$tprtdmvs = json_decode($ambil, true);
/*----meta---*/
$canonical = "top-rated-movies";
$metatitle = 'Top Rated Movies -'.$SiteTitle;
$metadesc = 'Watch and download latest movies and TV Shows for free in HD streaming with multiple language subtitles.';
?>
<?php include_once 'includes/header.php'; ?>
        <!--Begin: Main-->
        <div id="main-wrapper">
            <div class="container">
                <!--Begin: Section film list-->
                <section class="block_area block_area_category">
                    <div class="block_area-header">
                        <div class="float-left bah-heading mr-4">
                            <h2 class="cat-heading">Film dengan Peringkat Teratas</h2>
                        </div>
                        <div class="clearfix"></div>
                    </div>

<div class="pre-pagination mt-5 mb-5">
    <nav aria-label="Page navigation">
        <ul class="pagination pagination-lg justify-content-center">
        <?php
            $current_page = isset($_GET['page']) ? $_GET['page'] : 1;
            $nextpage = $current_page + 1;
            $prevpage = $current_page - 1;
            
        ?>
            <?php  
            if ($current_page >= 2) {
            
            ?>
            <li class="page-item"><a title="Previous" class="page-link" href="/top-rated-movies?page=<?=$prevpage?>">←</a></li>
            <?php }?>
            <?php
            for ($i = $current_page - 1; $i <= $current_page + 3; $i++) {
                
                if ($i == 0) {
                    continue;
                }
                $active = "";
                if ($i == $current_page) {
                    $active = "active";
                }
            ?>
            <li class="page-item <?=$active?>"><a title="Page <?=$i?>" href="/top-rated-movies?page=<?=$i?>" class="page-link"><?=$i?></a></li>
            <?php }?>
            <li class="page-item"><a title="Next" href="/top-rated-movies?page=<?=$nextpage?>" class="page-link">→</a></li>
        </ul>
    </nav>
</div>
                    <div class="block_area-content block_area-list film_list film_list-grid">
                        <div class="film_list-wrap">
                            
<?php foreach (array_slice($tprtdmvs["results"],0,18) as $data) : ?>
<div class="flw-item">
    <div class="film-poster">
        
            <div class="pick film-poster-quality">HD</div>
        
        <img data-src="<?php if ($data["poster_path"]) echo "https://image.tmdb.org/t/p/w185".$data["poster_path"]; else echo "/img/noposter.png"; ?>"
             class="film-poster-img lazyload" title="<?php echo $data["title"]; ?>"
             alt="<?php echo $data["original_title"]; ?>">
        <a href="/movies/<?php echo $data["id"]; ?>/<?php echo slugify($data["title"]); ?>"
           class="film-poster-ahref flw-item-tip" 
           title="<?php echo $data["title"]; ?>"><i class="fa fa-play"></i></a>
    </div>
    <div class="film-detail film-detail-fix">
        
            <h2 class="film-name">
                <a href="/movies/<?php echo $data["id"]; ?>/<?php echo slugify($data["title"]); ?>" 
                   title="<?php echo $data["title"]; ?>"><?php echo $data["title"]; ?></a>
            </h2>
        
        <div class="fd-infor">
            
                <span class="fdi-item"><?php echo $data["release_date"]; ?></span>
                <span class="dot"></span>
                <span class="fdi-item fdi-duration"><?php echo $data["duration"]; ?></span>
            
        </div>
    </div>
    <div class="clearfix"></div>
</div>
<?php endforeach ?>

                            <div class="clearfix"></div>
                        </div>
                    </div>
<div class="pre-pagination mt-5 mb-5">
    <nav aria-label="Page navigation">
        <ul class="pagination pagination-lg justify-content-center">
        <?php
            $current_page = isset($_GET['page']) ? $_GET['page'] : 1;
            $nextpage = $current_page + 1;
            $prevpage = $current_page - 1;
            
        ?>
            <?php  
            if ($current_page >= 2) {
            
            ?>
            <li class="page-item"><a title="Previous" class="page-link" href="/top-rated-movies?page=<?=$prevpage?>">←</a></li>
            <?php }?>
            <?php
            for ($i = $current_page - 1; $i <= $current_page + 3; $i++) {
                
                if ($i == 0) {
                    continue;
                }
                $active = "";
                if ($i == $current_page) {
                    $active = "active";
                }
            ?>
            <li class="page-item <?=$active?>"><a title="Page <?=$i?>" href="/top-rated-movies?page=<?=$i?>" class="page-link"><?=$i?></a></li>
            <?php }?>
            <li class="page-item"><a title="Next" href="/top-rated-movies?page=<?=$nextpage?>" class="page-link">→</a></li>
        </ul>
    </nav>
</div>
                </section>
                <!--End: Section film list-->
            </div>
        </div>
        <!--End: Main-->
        <div style="text-align:center;margin-bottom: 20px;margin-top:20px;display:none;" id="hgiks-bottom"></div>

<?php include_once 'includes/footer.php'; ?>